Running into StopIteration Error on UMITools

Running into StopIteration Error on UMITools

0

Hello all,

I am trying to transfer UMIs (already extracted) from the headers of raw reads to the headers of reads that had already been filtered for rRNA (using Sortmerna) and trimmed (for adapters and quality using trimmomatic). The command I’m running in Bash is

umi_tools extract -I 00_UMI/tmp/sample001_R1.fastq.gz -S 00_UMI/sample001_R1_transferred.fastq.gz --read2-in=01_Shallow_Trim/fish/001_trim_Q20.fastq.gz --read2-out=01_Shallow_Trim/tmp/001_trim_Q20_transferred.fastq.gz --bc-pattern=NNNNNNNNNNNN --reconcile-pairs -L extract_transfer.log   

But get the error

  Traceback (most recent call last):
  File "/home/ubuntu/.local/lib/python3.8/site-packages/umi_tools/umi_methods.py", line 142, in joinedFastqIterate
    read2 = next(fastq_iterator2)
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/ubuntu/.local/bin/umi_tools", line 8, in <module>
    sys.exit(main())
  File "/home/ubuntu/.local/lib/python3.8/site-packages/umi_tools/umi_tools.py", line 61, in main
    module.main(sys.argv)
  File "/home/ubuntu/.local/lib/python3.8/site-packages/umi_tools/extract.py", line 466, in main
    for read1, read2 in umi_methods.joinedFastqIterate(
RuntimeError: generator raised StopIteration

Can the headers not be transferred in this case? Has anyone else encountered this error before?


deduplication


dedup


umi


umitools


rna-seq

• 21 views

Read more here: Source link